/*******************************************************************************
 * Copyright 2010 PATRONAS Financial Systems GmbH. All rights reserved.
 ******************************************************************************/
package test.cdi;

import static org.junit.Assert.assertNotNull;

import java.net.ConnectException;
import java.util.Properties;

import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.security.auth.login.LoginException;

import org.junit.Before;
import org.junit.Test;

/**
 * @author woelfle
 */
public class CDITest {
	private TestDependencyInjectionRemote remoteItf;

	@Before
	public void setUp() throws LoginException, ConnectException, NamingException {

		final String providerUrl = System
				.getProperty("java.naming.provider.url", "jnp://localhost:1099");

		final Properties connectionProperties = new Properties();
		connectionProperties
				.put("java.naming.factory.initial", "org.jnp.interfaces.NamingContextFactory");
		connectionProperties.put("java.naming.provider.url", providerUrl);
		connectionProperties
				.put("java.naming.factory.url.pkgs", "org.jboss.naming.client:org.jnp.interfaces");
		connectionProperties.put("j2ee.clientName", "opus2-integration-tests");

		final InitialContext context = new InitialContext(connectionProperties);
		remoteItf = (TestDependencyInjectionRemote) context
				.lookup("TestDependencyInjection/remote");
	}

	@Test
	public void testConstructorInjection() {
		final String something = remoteItf.saySomething();
		assertNotNull("Expected something to be said", something);
	}
}
